/*
 * Copyright © 1995-2011 by 4system Polska Sp. z o.o.
 * All Rights Reserved.
 */
if (typeof(moduleDone)!="undefined") moduleDone("moz2ie.js");

if (is.moz) {
  //
  // Tablica zdarzen ktore beda sledzone przez Mozille
  //
  var mozEventNames = new Array("keypress", "keydown",   "keyup",
                                "click",    "dblclick",  "mouseover",
                                "mouseout", "mousedown", "mouseup",
                                "mousemove");
  // 
  // Podpiecie metody do kazdego sledzonego zdarzenia. Jako parametr
  // metoda dosteje uchwyt do "event object" ktory jest dodawany
  // do "window.event", a nastepnie zdarzenie jest przepuszczane
  // dalej.
  //
  for (var i = 0; i < mozEventNames.length; i++) {	
    document.addEventListener(mozEventNames[i], function (e) {
      window.event = e;
    }, true);
  }

  //
  // Dla uzystania jednolitego interfejsu z poziomu WBTExpressa
  // Obiekt "Event" w "Mozilli" zostaje wzbogacony o 2 metody
  // pochodzace z IE.
  //
  Event.prototype.__defineSetter__("returnValue", function (b) {
    if (!b) this.preventDefault();
	  return b;
  });

  Event.prototype.__defineSetter__("cancelBubble", function (b) {
	if (b) this.stopPropagation();
	  return b;
  }); 
}
